Package com.ibm.bamoe.ilmt.quarkus.pamoe

# Class PAMOESwidTagGen

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator
com.ibm.bamoe.ilmt.common.AbstractPAMOESwidTagGen
com.ibm.bamoe.ilmt.quarkus.pamoe.PAMOESwidTagGen

@ApplicationScoped public class PAMOESwidTagGen extends AbstractPAMOESwidTagGen

## Constructor Summary

Constructors
Constructor
Description
`PAMOESwidTagGen()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createSwidFile()`

### Methods inherited from class com.ibm.bamoe.ilmt.common.AbstractPAMOESwidTagGen

`getFileName, getSwidContent`

### Methods inherited from class com.ibm.bamoe.ilmt.common.SwidFileGenerator

`getBaseVersion, getFilePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PAMOESwidTagGen

public PAMOESwidTagGen()

## Method Details

### createSwidFile

@PostConstruct public void createSwidFile()

Overrides:
  `createSwidFile` in class `SwidFileGenerator`